Skip to content

Get Piece Scans

GET
/pieces/{piece_id}/scans

Retrieves all scans associated with a given piece. Returns a paged list of scan operations, including status, page counts, and completion timestamps.

Send your API key in the x-api-key header. See Authentication.

piece_id
required
string
page
integer

The desired page from the result set. Defaults to 1.

per_page
integer

The number of items per page. Defaults to 100.

Success

object
total

Total number of items across all pages.

integer
15
per_page

Number of items per page.

integer
100
current_page

The current page number (1-based).

integer
1
last_page

The last available page number.

integer
1
from

The index of the first item on this page (1-based).

integer
1
to

The index of the last item on this page (1-based).

integer
15
data
Array<object>
object
id
integer
8042156
created_at
string format: date-time
updated_at
string format: date-time
operation_action
string
scan
operation_status
string
complete
tags
Array<string>
piece_id
integer
page_count_estimate
integer
4
page_count_actual
integer | null
3
completed_at
string | null format: date-time
estimated_completed_at
string | null format: date-time
post_operation_action
string | null
store
scan_type
string
color
comments
string | null
status
string
complete
piece
One of:
object
id
integer
14460059
created_at
string format: date-time
updated_at
string format: date-time
inbox_id
integer
97599
barcode
string
0000000101 0016615290
license_plate
integer
433808312186
recipient
object
id
integer
122028
name
string
Bruce Wayne
inbox_id
integer | null
97599
type
string
mailbox_folder_id
integer
0
tags
Array<string>
[
"unscanned",
"read",
"inbox",
"stored"
]
attributes
Array<string>
[
"unscanned",
"read",
"inbox",
"stored"
]
sender
One of:
object
name
string
address
string
received_at
string format: date-time
date_arrived_in_mailbox
string format: date-time
weight_in_ounces
number
0.16
facility_name
string
page_count_estimate
integer
2
page_count_actual
integer | null
height_in_inches
number
3.9
depth_in_inches
number
0.1
length_in_inches
number
8.88
carrier
object
name
string
Unknown
class
string
Unknown
media
Array
object
id
string
1_1_2_0_0
url
string
content_type
string
image/jpg
tags
Array<string>
[
"color",
"large",
"enclosure",
"front"
]
url_valid_until
string format: date-time
file_size_in_bytes
integer
piece_id
integer | null
14460059
scan_id
integer | null
page_count
integer | null
1
sequence_number
integer | null
ocr_data
string
envelope_ocr_data
string
piece_type
string
mail
piece_sub_type
string
letter
insights
Array<object>
object
type
string
confidence
number
user_defined_tags
Array<object>
object
id
integer
3001
created_at
string format: date-time
updated_at
string format: date-time
label
string
Urgent
parent_tag_id
integer | null
piece_counts
integer | null
12
matched_by
Array<string>
operation_action
string | null
end_user_operation_status
string | null
storage_fee_amount_in_cents
integer
can_delete_scan_only
boolean
available_actions
Array<string>
name
string
detected_checks_count
integer | null
recipient_type
string
Example
{
"total": 1,
"per_page": 100,
"current_page": 1,
"last_page": 1,
"from": 1,
"to": 1,
"data": [
{
"id": 8042156,
"piece_id": 15998793,
"scan_type": "color",
"page_count_estimate": 4,
"page_count_actual": 3,
"status": "complete",
"operation_action": "scan",
"operation_status": "complete",
"post_operation_action": "store",
"comments": null,
"completed_at": "2026-05-20T14:32:10Z",
"estimated_completed_at": "2026-05-20T15:00:00Z",
"tags": [],
"created_at": "2026-05-20T13:45:00Z",
"updated_at": "2026-05-20T14:32:10Z"
}
]
}

The x-api-key header is missing or the key is not valid, or the caller can’t access an ID in the request. IDs that don’t exist return the same response as IDs the caller can’t access.

Error envelope returned with 4xx and 5xx responses.

object
error
object
code

Usually the HTTP status code. It can differ; a request to an unknown path returns HTTP 400 with code 500.

integer
401
message

Human-readable description of the error.

string
type

The kind of error, for example Authorization or REST.

string
REST
fields

Returned only with 422 responses. It may give more details about what failed validation, as lists of messages keyed by the name of the input.

object
key
additional properties
Array<string>
Examples
{
"error": {
"code": 401,
"message": "The request does not include a valid access token. Please provide a valid access token.",
"type": "Authorization"
}
}